cURL
curl --request PATCH \ --url https://statsigapi.net/console/v1/prompts/{id} \ --header 'Content-Type: application/json' \ --header 'STATSIG-API-KEY: <api-key>' \ --data ' { "description": "<string>", "targetApps": "<string>", "team": "<string>", "teamID": "<string>" } '
{ "message": "<string>", "data": { "id": "<string>", "description": "<string>", "lastModifierID": "<string>", "lastModifiedTime": 123, "lastModifierEmail": "<string>", "lastModifierName": "<string>", "createdTime": 123, "creatorName": "<string>", "name": "<string>", "idType": "<string>", "creatorID": "<string>", "creatorEmail": "<string>", "tags": [ "<string>" ], "targetApps": [ "<string>" ], "holdoutIDs": [ "<string>" ], "team": "<string>", "teamID": "<string>", "version": 123 } }
Optional header to respect review settings for mutation endpoints.
id
Updated description.
1000
Updated list of target app names.
Updated team name.
Updated team ID.
Update Prompt Response
A simple string explaining the result of the operation.
A single result.
Show child attributes
ID
ID of the last modifier.
Time of the last modification.
Email of the last modifier.
Name of the last modifier.
Timestamp when the entity was created.
Name of the creator.
The gate display name
3 - 100
List of target applications associated with this configuration.
Holdouts applied to this configuration.
Version number
Was this page helpful?